Orca.extension do

  module_function
  def pip_package(pkg_name)
    pip_name = pkg_name
    package pkg_name do
      depends_on('pip')
      validate { trigger('pip:exists', pip_name) }
      apply do
        trigger('pip:install', pip_name)
      end
      remove { trigger('pip:uninstall', pip_name) }
    end
  end

  package 'pip' do
    action 'install' do |package_name|
      sudo "pip install #{package_name}"
    end

    action 'exists' do |package_name|
      pip_info = run("pip freeze")
      pip_info =~ /#{package_name}/
    end

    validate do |package_name|
      trigger('pip:exists', "#{package_name}")
    end
  end

end
